Specifications

International VIN Decoder

Decode a non-US (international) VIN into vehicle attributes.


Checking account...
GET
/v1/international-vin-decoder

Decode a non-US (international) VIN into vehicle attributes.

Authorization

ApiKeyQuery
key<token>

Your CarsXE API key, passed as the key query parameter.

In: query

Query Parameters

vin*string

The 17 character long vehicle identification number.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -G https://api.carsxe.com/v1/international-vin-decoder \  -d key=CARSXE_API_KEY \  -d vin=WBAFR7C57CC811956
{
  "success": true,
  "input": {
    "vin": "WF0MXXGBWM8R43240"
  },
  "attributes": {
    "vin": "WF0MXXGBWM8R43240",
    "vid": "1623",
    "make": "Ford",
    "model": "Galaxy"
  },
  "timestamp": "2025-04-11T00:05:36.457Z"
}
{
  "success": false,
  "message": "Missing vin (vehicle identification number)"
}

{
  "success": false,
  "message": "Missing API key"
}

{
  "success": false,
  "message": "No data found for this VIN"
}
{
  "success": false,
  "message": "API usage limit exceeded",
  "usage": {
    "current": 1000,
    "limit": 1000,
    "remaining": 0
  }
}
{
  "success": false,
  "message": "Internal server error"
}